:root {
    --primario: #e1cdc6;
    --secundario: #6b6b6b;
    --blanco: #ffffff;
    
}

html    {
    font-size: 62.5%;
    box-sizing: border-box
    
}
*, *:before, *:after {
    box-sizing: inherit;
  }

  * {
    list-style: none;
    text-decoration: none;
    max-width: 100%;
    
}

body    {
    font-size: 16px; /* 1rem = 10px */
    background-image: url(/img/carita-8.png);
    background-size: auto;
    margin: 0;
    font-family: 'Sen', sans-serif;
}


/* ccs de la nav */

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: var(--primario);
    padding: 0px 10%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
}

.ul {
    margin-top: 5px;
}

.logonav {  
    width: 140px;
}   

.header .navigation ul li {
    float: left;
    position: relative;
}

.header .navigation ul li a {
    font-size: 20px;
    color: var(--blanco);
    padding: 20px;
    display: block;
    transition: all .2s ease;
    margin-top: 0;
}

.header .navigation ul li a:hover {
    background-color: var(--secundario);
}

.header .navigation ul li ul {
    position: absolute;
    right: 0;
    width: 300px;
    background-color: var(--primario);
    display: none;
}

.header .navigation ul li ul li a {
    font-size: 15px;
    text-transform: capitalize;

}

.header .navigation ul li ul li ul {
    position: absolute;
    top: 0;
    right: 300px;
}

.header .navigation ul li ul li {
    width: 100%;
}

.header .navigation ul li:hover > ul {
    display: initial;
}

#toggle,
.header label{
    display: none;
    cursor: pointer;
}

.menu {
    width: 45px;
    height: 35px;
}

@media(max-width:950px) {
    .header label {
        display: initial;
    }

    .header {
        padding: 20px 10%;
    }

    .header .navigation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color: var(--primario);
        display: none;
    }

    .header .navigation ul li {
        width: 100%;
    }

    .header .navigation ul li a {
        padding: 8px 30px 8px 10%;

    }

    .header .navigation ul li ul {
        position: relative;
        width: 100%;
        left: 0;
    }

    .header .navigation ul li ul li {
        background-color: var(--primario);
    }

    .header .navigation ul li ul li ul {
        position: relative;
        width: 100%;
        left: 0;
    }

    #toggle:checked ~ .navigation {
        display: block;
    }
    
}

/* ccs de la nav */

.contenedor{
    max-width: 120rem;
    margin: 0 auto;
}

.hero{
    background-image: url(../img/hero-100.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 640px;
    padding: 50px;
    position: relative;
}
.contenido-hero{
    display: flex;
    flex-direction: column;
    position: absolute;
    bottom: 50px;
    left: 30px;
}

.titulo  {
    text-align: left;
    font-size: 5.5rem;
    color: var(--blanco);
    text-transform: uppercase;
}
.sub1 {
    text-align: left;
    font-size: 3rem;
    color: var(--blanco);
    font-style: italic;
}

@media only screen and (max-width:950px) {
    .titulo  {
        text-align: left;
        font-size: 4rem;
        color: var(--blanco);
        text-transform: uppercase;
    }

    .sub1 {
        text-align: left;
        font-size: 2.5rem;
        color: var(--blanco);
        font-style: italic;
    }
}

@media only screen and (max-width:400px) {
    .titulo  {
        text-align: left;
        font-size: 2.5rem;
        color: var(--blanco);
        text-transform: uppercase;
    }

    .sub1 {
        text-align: left;
        font-size: 1.8rem;
        color: var(--blanco);
        font-style: italic;
    }
}



/*css de nosotros*/

.nosotros {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 4rem;
    max-width: 100%;
}
.txt {
    margin: 5rem;
    
}

.titulo2  {
    text-align: left;
    font-size: 5.5rem;
    color: var(--secundario);  
}

.color1 {
    color: var(--primario);
}

p {
    color: var(--secundario);
    font-size: 3rem;
}

.imgn {
    width: 60rem;
    height: 60rem;   
}


@media only screen and (max-width:400px) {

    .imgn {
        display: none;  
    }

    .titulo2  {
        text-align: left;
        font-size: 3.5rem;
        color: var(--secundario);  
    }

    .nosotros {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: .5rem;
        max-width: 100%;
    }
}

@media only screen and (max-width:950px) {
    .imgn {
        width: 40rem;
        height: 40rem;   
    }

    .nosotros {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: .5rem;
        max-width: 100%;
    }

    .titulo2  {
        text-align: left;
        font-size: 4rem;
        color: var(--secundario);  
    }
}


/*termina css de nosotros*/

/*css de servicios*/

.servicios {
    text-align: center;
    padding: 2rem;
    margin-top: 4rem;
    max-width: 100%; 
}

.titulo3 {
    text-align: center;
    font-size: 5.5rem;
    color: var(--secundario);
    font-weight: bold;
    
}

.sub2 {
    font-style: italic;
    font-weight: lighter;
}

.fila-de-imagenes {
    display: flex;
    justify-content: space-evenly;
    margin-top: 2rem;
}

.fila-de-imagenes img {
    height: 40rem;
    width: 60rem; /* Ajusta el ancho de las imágenes según sea necesario */
    margin: 1.5rem;
    transition: all 300ms;
}

.fila-de-imagenes img:hover {
    transform: scale(1.15);
}

.txtser {
   text-align: center;
}

@media only screen and (max-width:400px) {

    .servicios {
        display: block;
        padding: 2rem;
        margin-top: 2rem;
        max-width: 100%; 
        
    }

    .titulo3 {
        text-align: center;
        font-size: 3.5rem;
        color: var(--secundario);
        font-weight: bold;
    }

    .fila-de-imagenes {
        display:  inline-block;
        margin-top: 2rem;
        
    }

    .fila-de-imagenes img {
        height: 25rem;
        width: 20rem; /* Ajusta el ancho de las imágenes según sea necesario */
        margin: 1.5rem;
        justify-content: center;
        
    }
}

@media only screen and (max-width:950px) {

    .servicios {
        display: block;
        padding: 2rem;
        margin-top: 2rem;
        max-width: 100%; 
        
    }

    .titulo3 {
        text-align: center;
        font-size: 4.5rem;
        color: var(--secundario);
        font-weight: bold;
    }

    .fila-de-imagenes {
        display:  inline-block;
        margin-top: 2rem;
        
    }

    .fila-de-imagenes img {
        height: 35rem;
        width: 30rem; /* Ajusta el ancho de las imágenes según sea necesario */
        margin: 1.5rem;
        justify-content: center;
        
    }
}


/* termina css de servicios*/

/*css de clientes*/

.clientes {
    text-align: center;
    padding: 3rem;
    margin-top: 4rem;
    
}

.clientes-img {
    display: flex;
    justify-content: space-evenly;
    margin-top: 4rem;
}

.clientes-img img {
    height: 9rem; /* Ajusta el ancho de las imágenes según sea necesario */
    margin: 1.5rem;
    transition: all 300ms;
}

@media only screen and (max-width:400px) {

    .clientes-img {
        display: inline-block;
        text-align: center;
        margin-top: 2rem;
    }
    
    .clientes-img img {
        height: 9rem; /* Ajusta el ancho de las imágenes según sea necesario */
        margin: 1.5rem;
        justify-content: center;
    }

}

@media only screen and (max-width:950px) {

    .clientes-img {
        display: inline-block;
        text-align: center;
        margin-top: 2rem;
    }
    
    .clientes-img img {
        height: 9rem; /* Ajusta el ancho de las imágenes según sea necesario */
        margin: 1.5rem;
        justify-content: center;
    }

}


/* termina css de clientes*/

/*css de contacto*/

.contacto {
    display: flex;
    justify-content: space-evenly;
    margin-top: 7rem;
}

.txt-contac {
    display: block;
    align-items: start;
    justify-content: start;
}

.titulo4  {
    text-align: left;
    font-size: 4rem;
    color: var(--secundario);
    margin: 0;
    
}

.sub3 {
    font-style: italic;
    font-weight:100;
    color: var(--secundario);
    font-size: 3.5rem;
}

span {
    color: var(--secundario);
}

.imgcont {
    height: 80px;
    padding: 2rem;
}

.redes {
    display: flex;
    align-items: center;
   
    margin: 0rem;
    
}

.iconredes {
    display: block;
    align-items: start;
    justify-content: start;
}

a {
    text-decoration: none;
}

@media only screen and (max-width:400px) {
    .contacto {
        display: inline-block;
    }

    .contenido-contacto {
        display: none;
    }

    .txt-contac {
        display: inline-block;
        text-align: center;
    }

    .titulo4  {
        text-align: left;
        font-size: 4rem;
        color: var(--secundario);
        margin: 2rem;
           
    }

    .sub3 {
        font-style: italic;
        font-weight:100;
        color: var(--secundario);
        font-size: 3.5rem;
        margin: 2rem;
    }
}

@media only screen and (max-width:950px) {
    .contacto {
        display: flex;
    }

    .contenido-contacto {
        width: 300px;
        height: 600px;
    }

    .txt-contac {
        display: inline-block;
        text-align: center;
    }

    .titulo4  {
        text-align: left;
        font-size: 4rem;
        color: var(--secundario);
        
           
    }

    .sub3 {
        font-style: italic;
        font-weight:100;
        color: var(--secundario);
        font-size: 3.5rem;
        
    }
}

/* css para footer*/

.footer {
    background-color: var(--primario);
    color: #fff;
    padding: 20px 0;
    text-align: center; /* Centra el texto en el footer */
    margin-top: 3rem;
}

.container-footer {
    width: 80%;
    margin: 0 auto;
    padding: 0 20px;
}

.footer-text {
    margin: 0;
    font-size: 25px;
}

@media screen and (max-width: 768px) {
    .footer-text {
        font-size: 14px; /* Reducir el tamaño del texto en dispositivos pequeños si es necesario */
    }
}
